/**
 * Copyright (C) 2007-2011 Linutop SAS <http://www.linutop.com/>
 *
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */

#ifndef UTILS_H
#define UTILS_H

#include <glib.h>

void seconds_to_string (gint seconds, gchar **str);

char *expand_uri (const gchar *uri);

void empty_dir (const gchar *dirname);
gboolean create_dir_for_file (const gchar *filename);

void kill_external (pid_t pid);

gchar *exo_str_replace (const gchar *str,
                        const gchar *pattern,
                        const gchar *replacement);

gchar *wildcard_to_regex (const gchar *input);

gchar *get_remote_data (const gchar *url);

gchar   *crypt_passwd (const gchar *passwd, const gchar *given_salt);
gboolean validate_passwd (const gchar *passwd, const gchar *crypt);

gboolean parse_font (const gchar *font, gchar **name, gint *size);

void start_unclutter ();
void stop_unclutter  ();

gboolean is_local_image_uri (const gchar *uri);
gboolean is_video_uri       (const gchar *uri);
gboolean is_local_text_uri  (const gchar *uri);

int exec_hook (const gchar *hook_dir, const gchar *hook);

#endif /* !UTILS_H */

