#!/bin/sh

grep -q "^do_local_update.*true" /etc/xdg/webkiosk/preferences
[ $? -ne 0 ] && exit 1

[ -z "$1" ] && exit 1
USERUID=linutop
[ -n "$2" ] && USERUID="$2"
HOMEDIR=$(getent passwd $USERUID | cut -d: -f6)
USERNAME=$(getent passwd $USERUID | cut -d: -f1)

MPOINT=$(mktemp -d)
mount $1 $MPOINT || exit 1

if [ ! -r $MPOINT/linutop-update.zip ]; then
    umount $1
    exit 1
fi

mkdir -p $HOMEDIR/.linutop-kiosk/
cd $HOMEDIR/.linutop-kiosk/
unzip -o $MPOINT/linutop-update.zip
mkdir -p /etc/xdg/webkiosk/
mv playlist /etc/xdg/webkiosk/
chown root:root /etc/xdg/webkiosk/playlist
chown -R $USERUID $HOMEDIR/.linutop-kiosk/

umount $1
rmdir $MPOINT

killall -u $USERNAME linutop-webkiosk
su - $USERNAME -c 'linutop-webkiosk &'

exit 0

